Update an Account Number
curl --request PATCH \
--url https://api.fintoc.com/v2/account_numbers/{account_number_id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"metadata": {
"client_id": "1234"
},
"options": {
"min_amount": 123,
"max_amount": 123
}
}
'import requests
url = "https://api.fintoc.com/v2/account_numbers/{account_number_id}"
payload = {
"description": "<string>",
"metadata": { "client_id": "1234" },
"options": {
"min_amount": 123,
"max_amount": 123
}
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: '<string>',
metadata: {client_id: '1234'},
options: {min_amount: 123, max_amount: 123}
})
};
fetch('https://api.fintoc.com/v2/account_numbers/{account_number_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fintoc.com/v2/account_numbers/{account_number_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'description' => '<string>',
'metadata' => [
'client_id' => '1234'
],
'options' => [
'min_amount' => 123,
'max_amount' => 123
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fintoc.com/v2/account_numbers/{account_number_id}"
payload := strings.NewReader("{\n \"description\": \"<string>\",\n \"metadata\": {\n \"client_id\": \"1234\"\n },\n \"options\": {\n \"min_amount\": 123,\n \"max_amount\": 123\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.fintoc.com/v2/account_numbers/{account_number_id}")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"description\": \"<string>\",\n \"metadata\": {\n \"client_id\": \"1234\"\n },\n \"options\": {\n \"min_amount\": 123,\n \"max_amount\": 123\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fintoc.com/v2/account_numbers/{account_number_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"description\": \"<string>\",\n \"metadata\": {\n \"client_id\": \"1234\"\n },\n \"options\": {\n \"min_amount\": 123,\n \"max_amount\": 123\n }\n}"
response = http.request(request)
puts response.read_body"{}""{}"Account Numbers
Update an Account Number
PATCH
/
account_numbers
/
{account_number_id}
Update an Account Number
curl --request PATCH \
--url https://api.fintoc.com/v2/account_numbers/{account_number_id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"metadata": {
"client_id": "1234"
},
"options": {
"min_amount": 123,
"max_amount": 123
}
}
'import requests
url = "https://api.fintoc.com/v2/account_numbers/{account_number_id}"
payload = {
"description": "<string>",
"metadata": { "client_id": "1234" },
"options": {
"min_amount": 123,
"max_amount": 123
}
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: '<string>',
metadata: {client_id: '1234'},
options: {min_amount: 123, max_amount: 123}
})
};
fetch('https://api.fintoc.com/v2/account_numbers/{account_number_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fintoc.com/v2/account_numbers/{account_number_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'description' => '<string>',
'metadata' => [
'client_id' => '1234'
],
'options' => [
'min_amount' => 123,
'max_amount' => 123
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fintoc.com/v2/account_numbers/{account_number_id}"
payload := strings.NewReader("{\n \"description\": \"<string>\",\n \"metadata\": {\n \"client_id\": \"1234\"\n },\n \"options\": {\n \"min_amount\": 123,\n \"max_amount\": 123\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.fintoc.com/v2/account_numbers/{account_number_id}")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"description\": \"<string>\",\n \"metadata\": {\n \"client_id\": \"1234\"\n },\n \"options\": {\n \"min_amount\": 123,\n \"max_amount\": 123\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fintoc.com/v2/account_numbers/{account_number_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"description\": \"<string>\",\n \"metadata\": {\n \"client_id\": \"1234\"\n },\n \"options\": {\n \"min_amount\": 123,\n \"max_amount\": 123\n }\n}"
response = http.request(request)
puts response.read_body"{}""{}"v2 · Base URL https://api.fintoc.com/v2Path Parameters
Body
application/json
Response
200
The response is of type object.
Was this page helpful?